Bug 1470436 - (review-astrometry) Review Request: astrometry - Blind astrometric calibration of arbitrary astronomical images
Review Request: astrometry - Blind astrometric calibration of arbitrary astro...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: Astronomy-SIG review-astrometry-tycho2
  Show dependency treegraph
 
Reported: 2017-07-12 20:36 EDT by Christian Dersch
Modified: 2017-09-30 02:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-30 02:25:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Christian Dersch 2017-07-12 20:36:24 EDT
Spec URL: https://lupinix.fedorapeople.org/review/astrometry.spec
SRPM URL: https://lupinix.fedorapeople.org/review/astrometry-0.72-0.1.fc25.src.rpm

Koji scratch build (rawhide): https://koji.fedoraproject.org/koji/taskinfo?taskID=20483408

Description: The astrometry engine will take any image and return the astrometry
world coordinate system (WCS), a standards-based description of the
transformation between image coordinates and sky coordinates.

Other tools included in the astrometry package can do much more, like
plotting astronomic information over solved images, convertion utilities
or generate statistics from FITS images.

Fedora Account System Username: lupinix
Comment 1 Christian Dersch 2017-07-12 20:40:03 EDT
NotReady means: Have to check the licensing in detail as there is also some GPL code.
Comment 2 Christian Dersch 2017-07-12 21:44:06 EDT
Licensing checked and updated, ready now.

Koji scratch build (rawhide): https://koji.fedoraproject.org/koji/taskinfo?taskID=20484428

As a reference: Debian package where patches were taken from: https://packages.debian.org/source/sid/astrometry.net
Comment 3 Christian Dersch 2017-07-12 21:47:15 EDT
Note that fedora-review will complain about the should item "[!]: Uses parallel make %{?_smp_mflags} macro." The handwritten Makefile from upstream does not support parallel build very well and we get build issues then.
Comment 4 Mattia Verga 2017-07-29 12:00:52 EDT
Thanks for your effort in continuing the process of importing astrometry.net into Fedora.

I have no free time at the moment to follow a full review, but here are my 2 cents:
- I think would be better asking upstream to rename the conflicting executable and also some other executables that have too common name and can become a problem in future. Renaming the executable only here in Fedora can cause confusion and I think this should be the last chance.
- Patches should be reported upstream https://fedoraproject.org/wiki/Packaging:Guidelines#Patch_Guidelines and the fact we are not the only distro using them should make the developer more open to accept them upstream.
Comment 5 Robert-André Mauchin 2017-09-12 08:07:32 EDT
Everything seems good, package accepted.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL", "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated", "*No copyright* GPL", "Public domain GPL (v2 or later)",
     "GPL (v3 or later) (with incorrect FSF address)", "zlib/libpng", "BSD
     (3 clause)", "GPL (v3)", "GPL (v2)". 751 files have unknown license.
     Detailed output of licensecheck in
     /home/bob/packaging/review/astrometry/review-
     astrometry/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-astrometry , astrometry-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: astrometry-0.72-0.1.fc28.x86_64.rpm
          astrometry-devel-0.72-0.1.fc28.x86_64.rpm
          python2-astrometry-0.72-0.1.fc28.x86_64.rpm
          astrometry-debuginfo-0.72-0.1.fc28.x86_64.rpm
          astrometry-0.72-0.1.fc28.src.rpm
astrometry.x86_64: W: spelling-error Summary(en_US) astrometric -> barometric, astronomic, asymmetric
astrometry.x86_64: W: spelling-error %description -l en_US convertion -> conversion, convention, convection
astrometry.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
astrometry.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
astrometry.x86_64: W: no-manual-page-for-binary astrometry-tablist
astrometry.x86_64: W: no-manual-page-for-binary astrometry-tabmerge
astrometry.x86_64: W: no-manual-page-for-binary degtohms
astrometry.x86_64: W: no-manual-page-for-binary fits-column-merge
astrometry.x86_64: W: no-manual-page-for-binary fitscopy
astrometry.x86_64: W: no-manual-page-for-binary fitsverify
astrometry.x86_64: W: no-manual-page-for-binary hmstodeg
astrometry.x86_64: W: no-manual-page-for-binary image2pnm
astrometry.x86_64: W: no-manual-page-for-binary imarith
astrometry.x86_64: W: no-manual-page-for-binary imcopy
astrometry.x86_64: W: no-manual-page-for-binary imstat
astrometry.x86_64: W: no-manual-page-for-binary listhead
astrometry.x86_64: W: no-manual-page-for-binary liststruc
astrometry.x86_64: W: no-manual-page-for-binary merge-columns
astrometry.x86_64: W: no-manual-page-for-binary modhead
astrometry.x86_64: W: no-manual-page-for-binary removelines
astrometry.x86_64: W: no-manual-page-for-binary startree
astrometry.x86_64: W: no-manual-page-for-binary text2fits
astrometry.x86_64: W: no-manual-page-for-binary uniformize
astrometry.x86_64: W: no-manual-page-for-binary votabletofits
astrometry-devel.x86_64: W: only-non-binary-in-usr-lib
astrometry-devel.x86_64: W: no-documentation
python2-astrometry.x86_64: W: no-documentation
python2-astrometry.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python2-astrometry.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
python2-astrometry.x86_64: W: no-manual-page-for-binary plotann.py
astrometry.src: W: spelling-error Summary(en_US) astrometric -> barometric, astronomic, asymmetric
astrometry.src: W: spelling-error %description -l en_US convertion -> conversion, convention, convection
astrometry.src: W: strange-permission astrometry-generate-tarball.sh 755
astrometry.src: W: invalid-url Source0: astrometry.net-0.72-clean.tar.xz
5 packages and 0 specfiles checked; 0 errors, 34 warnings.
Comment 6 Christian Dersch 2017-09-12 09:18:32 EDT
Thank you very much!
Comment 7 Gwyn Ciesla 2017-09-12 09:19:39 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/astrometry
Comment 8 Fedora Update System 2017-09-12 12:02:27 EDT
astrometry-tycho2-1.1.1-1.fc25 astrometry-0.72-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b241075778
Comment 9 Fedora Update System 2017-09-12 12:02:40 EDT
astrometry-tycho2-1.1.1-1.fc26 astrometry-0.72-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4be93a69b1
Comment 10 Fedora Update System 2017-09-12 12:02:50 EDT
astrometry-tycho2-1.1.1-1.fc27 astrometry-0.72-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37cbeee31d
Comment 11 Fedora Update System 2017-09-12 15:58:20 EDT
astrometry-0.72-1.fc27, astrometry-tycho2-1.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-37cbeee31d
Comment 12 Fedora Update System 2017-09-13 02:22:01 EDT
astrometry-0.72-1.fc26, astrometry-tycho2-1.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4be93a69b1
Comment 13 Fedora Update System 2017-09-13 03:24:28 EDT
astrometry-0.72-1.fc25, astrometry-tycho2-1.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b241075778
Comment 14 Fedora Update System 2017-09-20 15:50:23 EDT
astrometry-0.72-1.fc25, astrometry-tycho2-1.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-09-20 18:53:40 EDT
astrometry-0.72-1.fc26, astrometry-tycho2-1.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-09-25 07:47:27 EDT
astrometry-0.72-2.fc27 astrometry-tycho2-1.1.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-37cbeee31d
Comment 17 Fedora Update System 2017-09-25 12:22:41 EDT
astrometry-0.72-2.fc27, astrometry-tycho2-1.1.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-37cbeee31d
Comment 18 Fedora Update System 2017-09-30 02:25:29 EDT
astrometry-0.72-2.fc27, astrometry-tycho2-1.1.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.